{% load static %}
{% load site_configs_tags %}
{% load is_current_page from navigation %}

{% get_configs 'common.Contacts' as contacts %}
<header class="header clearfix">
    <div class="header-top" data-toggle="affix">
        <div class="container">
            <div class="row">
                <button class="humb">
                    <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 18 11" style="enable-background:new 0 0 18 11;" xml:space="preserve">
                        <style type="text/css">
                            .st0 {
                                fill-rule: evenodd;
                                clip-rule: evenodd;
                            }
                        </style>
                        <path id="XMLID_297_" class="st0" d="M17.6,1H0.4C0.2,1,0,0.8,0,0.6V0.4C0,0.2,0.2,0,0.4,0h17.3C17.8,0,18,0.2,18,0.4v0.3  C18,0.8,17.8,1,17.6,1z"/>
                        <path id="XMLID_266_" class="st0" d="M17.6,6H0.4C0.2,6,0,5.8,0,5.6V5.4C0,5.2,0.2,5,0.4,5h17.3C17.8,5,18,5.2,18,5.4v0.3  C18,5.8,17.8,6,17.6,6z"/>
                        <path id="XMLID_267_" class="st0" d="M17.6,11H0.4C0.2,11,0,10.8,0,10.6v-0.3C0,10.2,0.2,10,0.4,10h17.3c0.2,0,0.4,0.2,0.4,0.4v0.3  C18,10.8,17.8,11,17.6,11z"/>
                    </svg>
                </button>
                <div class="col-lg-3 logo">
                    <div class="logo-block">
                        <img src="{% static 'web/img/logo-addwine.png' %}" alt="Logo">
                        <div class="logo-text text-right">...просто добавь вина</div>
                        <a href="{% url 'promotions:home' %}"></a>
                    </div>
                </div>
                <div class="col-md-9 hidden-lg-down">
                    <div class="menu-lg">
                        <ul class="list-unstyled">
                            <li class="catalogue {% is_current_page "catalogue:index" return_value="active" %}">
                                <a href="{% url 'catalogue:index' %}" class="catalogue-link">Каталог</a>
                                <div class="menu">
                                    <div>
                                        <div class="container">
                                            <span class="pointer">▲</span>
                                            <ul class="list-unstyled">
                                            {% for cat in menu.catalogue.categories %}
                                                <li>
                                                    <div class="menu-title">
                                                        <span>{{ cat.name }}</span>
                                                        <a href="{{ cat.get_absolute_url }}" title="{{ cat.name }}"></a>
                                                    </div>
                                                    {% if cat.has_children %}
                                                        <ul class="list-unstyled">
                                                            {% for cat in cat.get_active_children %}
                                                                <li>
                                                                    <div class="menu-title">
                                                                        <span>{{ cat.name }}</span>
                                                                        <a href="{{ cat.get_absolute_url }}" title="{{ cat.name }}"></a>
                                                                        {% if cat.has_children %}
                                                                            <svg class="inner-cats-indicator" xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20">
                                                                              <path fill="#D6D6D6" fill-rule="evenodd" d="M13.8003321,9.52166992 L9.25694218,5.19116128 C8.9798152,4.92672581 8.51860131,4.93804574 8.22683326,5.21636731 C7.93505711,5.49447304 7.92318707,5.93406764 8.20037077,6.19807142 L12.1890206,10.0001408 L8.20037077,13.8021982 C7.92318707,14.066214 7.93505711,14.5057966 8.22683326,14.7836865 C8.51860131,15.062008 8.9798152,15.0731121 9.25694218,14.8091083 L13.8003321,10.4785997 C13.9297763,10.3553516 13.9935748,10.1930113 13.9979582,10.027901 C13.9985173,10.0182959 13.9998136,10.0095301 14,10.0001408 C13.9998136,9.99052366 13.9985173,9.98112236 13.9979582,9.97215276 C13.9935748,9.80661078 13.9297763,9.6451339 13.8003321,9.52166992 Z" transform="translate(-1)"/>
                                                                            </svg>
                                                                        {% endif %}
                                                                    </div>
                                                                    {% if cat.has_children %}
                                                                        {% include 'web/partials/nav_primary_catalog_menu.html' with categories=cat.get_active_children %}
                                                                    {% endif %}
                                                                </li><br>
                                                            {% endfor %}
                                                        </ul>
                                                    {% endif %}
                                                </li>
                                            {% endfor %}
                                        </ul>
                                        </div>
                                    </div>
                                </div>
                            </li>
                            <li class="{% is_current_page "delivery" return_value="active" %}"><a href="{% url 'delivery' %}">Доставка и оплата</a></li>
                            <li class="{% is_current_page "about" return_value="active" %}"><a href="{% url 'about' %}">О компании</a></li>
                            <li class="{% is_current_page "articles" return_value="active" %}"><a href="{% url 'articles' %}">Статьи</a></li>
                            <li class="{% is_current_page "faq" return_value="active" %}"><a href="{% url 'faq' %}">Вопрос-Ответ</a></li>
                            <li class="{% is_current_page "contacts" return_value="active" %}"><a href="{% url 'contacts' %}">Контакты</a></li>
                        </ul>
                    </div>
                </div>
                {% block quick_basket %}
                {% include 'basket/partials/basket_quick.html' %}
                {% endblock %}
            </div>
        </div>
    </div>
    <div class="header-bot">
        <div id="time-search" class="container search-container">
            <div class="search-container-block time-address">
                <div class="time-work">
                    <img src="{% static 'web/img/Icons/time.svg' %}" alt="">
                    {% for work_time in contacts.work_times.all %}
                    {% if not forloop.first %};{% endif %}
                    <div>
                        {% if work_time.start_day_of_week != work_time.end_day_of_week and work_time.start_day_of_week and work_time.end_day_of_week %}
                            {{ work_time.get_start_day_of_week_display }}-{{ work_time.get_end_day_of_week_display }}
                        {% else %}
                            {% if work_time.start_day_of_week  %}
                            {{ work_time.get_start_day_of_week_display }}
                            {% elif work_time.end_day_of_week %}
                            {{ work_time.get_end_day_of_week_display }}
                            {% endif %}
                        {% endif %}
                        {% if work_time.weekend %}
                            выходной
                        {% else %}
                        {{ work_time.start_work_time_hours  }}<sup>{{ work_time.start_work_time_minutes }}</sup>
                            -
                        {{ work_time.end_work_time_hours }}<sup>{{ work_time.end_work_time_minutes }}</sup>
                        {% endif %}
                    </div>
                    {% endfor %}
                </div>
                <div class="address">
                    <div class="nav-address-block">
                        <span class="textgray">Адрес:</span>
                        <span>{{ contacts.short_address }}</span>
                        <!-- <span>Москва, Волгоградский пр., 32 к8</span> -->
                    </div>
                </div>
            </div>
            <div class="search-container-block phone-search not-show" :class="{ show: showSearch }">
                <div class="phone-call" class="phone-sec" v-if="!active">
                    <div class="phone-block">
                        <a href="tel:{{ contacts.phone }}" class="phone">{{ contacts.phone }}</a>
                    </div>
                    <div class="make-call">
                        <a href="#" data-toggle="modal" data-target="#modalCall">Заказать звонок</a>
                    </div>
                </div>
                <div class="search" :class="{ active: active, notActive: !active }">
                    <img class="search-icon" src="{% static 'web/img/Icons/search.svg' %}" alt="" :class="{ fixed: active }" @click="activeSearch">
                    <input v-if="active"
                        v-model="text" 
                        class="search-field" 
                        type="search" 
                        placeholder="Поиск по каталогу"
                        @keyup="searchByText()"
                        @keyup.enter="toSearchResult">
                    <div v-if="active && searchActive && !result" class="results-list load-result">
                        <div class="loading-overlay" :class="{ active: searchActive }">
                            <div class="loader">
                                <svg class="circular" viewBox="25 25 50 50">
                                    <circle class="path" cx="50" cy="50" r="20" fill="none" stroke-width="2" stroke-miterlimit="10"/>
                                </svg>
                            </div>
                        </div>
                    </div>
                    <div v-if="active && noresult" class="results-list no-result">
                        <span>Нет результатов по запросу</span>
                    </div>
                    <div v-if="active && result" class="results-list">
                        <div v-for="(item, i) in results" v-if="i < 10">
                            <a :href="item.url" class="result-item__url" @click="sendData">
                                <div class="result-item">
                                    <img :src="item.thumbnail_url" alt="" class="result-item__image">
                                    <span class="result-item__title" v-html="item.highlighted"></span>
                                    <div class="price">
                                        <div v-if="item.old_price > item.price" class="price__old">
                                            <span class="price-cena__old">[[ item.old_price.toFixed() ]]</span>
                                        </div>
                                        <div class="price__new">
                                            <span class="price-cena__new">[[ item.price.toFixed() ]]</span>
                                            <span class="rub-icon">
                                                <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                                    <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                                                </svg>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <button class="results-show" v-if="results.length > 10" @click="toSearchResult">Все товары по запросу «[[ text ]]»</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>
